
package control.pack.controlfield;

import org.eclipse.scout.rt.client.ui.form.fields.IFormField;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;

public interface IControlField extends IFormField {
	
	public static final String PROPERTY_CONTROL = IControlField.class.getName();
	
	void addControlFieldListener(IControlFieldListener listener);
	
	Control getControl();
	
	IControlFieldUIFacade getControlFieldUIFacade();
	
	Composite getParent();
	
	void removeControlFieldListener(IControlFieldListener listener);
	
	void setControl(Control control);
	
	void setControlFieldUIFacade(IControlFieldUIFacade controlFieldUIFacade);
	
	void setParent(final Composite parent);
}
