
package rap.pack.controlfield;

import org.eclipse.scout.rt.ui.rap.LogicalGridLayout;
import org.eclipse.scout.rt.ui.rap.form.fields.RwtScoutFieldComposite;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;

import fr.cityway.avm.desktop.config.mapcontrol.client.controlfield.IControlField;

public class RwtScoutControlField extends RwtScoutFieldComposite<IControlField> implements IRwtScoutControlField {
	
	@Override
	public Control getControl() {
	
		return this.getUiField();
	}
	
	@Override
	protected void handleScoutPropertyChange(final String name, final Object control) {
	
		super.handleScoutPropertyChange(name, control);
		if (name.equals(IControlField.PROPERTY_CONTROL)) {
			this.setUiField((Control) control);
		}
	}
	
	@Override
	protected void initializeUi(final Composite parent) {
	
		final Composite container = this.getUiEnvironment().getFormToolkit().createComposite(parent);
		container.setLayout(new LogicalGridLayout(1, 0));
		this.setUiContainer(container);
		this.getScoutObject().setParent(container);
		final Control control = new Button(parent, SWT.NONE); //TEST PURPOSE!!!
		this.setUiField(control);
		this.getUiEnvironment().getFormToolkit().adapt(control, false, false);
	}
}
